.db-icon {
	display: inline-block;
	width: 1em;
	height: 1em;
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: contain;
	-webkit-mask-position: center;
	mask-repeat: no-repeat;
	mask-size: contain;
	mask-position: center;
	background-color: currentColor;
}

/* Tamaños */
.db-icon-24 {
	width: 24px;
	height: 24px;
}

/* Iconos específicos (usamos mask) */
.db-icon-check {
	-webkit-mask-image: url('../assets/icons/material/check.svg');
	mask-image: url('../assets/icons/material/check.svg');
}

.db-icon-cross {
	-webkit-mask-image: url('../assets/icons/material/close.svg');
	mask-image: url('../assets/icons/material/close.svg');
}

.db-icon-question {
	-webkit-mask-image: url('../assets/icons/material/question.svg');
	mask-image: url('../assets/icons/material/question.svg');
}

.db-icon-settings {
	-webkit-mask-image: url('../assets/icons/material/settings.svg');
	mask-image: url('../assets/icons/material/settings.svg');
}

/* Colores */
.db-icon-black {
	color: black;
}

.db-icon-darkgray {
	color: #444;
}

.db-icon-lightgray {
	color: #ccc;
}

.db-icon-white {
	color: white;
}
